#ifndef _HARDWARE_H_
#define _HARDWARE_H_

/*
 * Copyright (C) 2009 by egnite GmbH
 *
 * All rights reserved.
 *
 * Redistribution and use in source and binary forms, with or without
 * modification, are permitted provided that the following conditions
 * are met:
 *
 * 1. Redistributions of source code must retain the above copyright
 *    notice, this list of conditions and the following disclaimer.
 * 2. Redistributions in binary form must reproduce the above copyright
 *    notice, this list of conditions and the following disclaimer in the
 *    documentation and/or other materials provided with the distribution.
 * 3. Neither the name of the copyright holders nor the names of
 *    contributors may be used to endorse or promote products derived
 *    from this software without specific prior written permission.
 *
 * THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS
 * ``AS IS'' AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT
 * LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS
 * FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE
 * COPYRIGHT OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT,
 * INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING,
 * BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS
 * OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED
 * AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY,
 * OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF
 * THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
 * SUCH DAMAGE.
 *
 * For additional information see http://www.ethernut.de/
 */

/*!
 * \file hardware.h
 * \brief Generic hardware configuration.
 *
 * \verbatim
 * $Id: hardware.h 23 2009-10-17 07:49:16Z haraldkipp $
 * \endverbatim
 */

#ifndef BOARD_NAME
#if defined(__AVR__)
#define BOARD_NAME  "8-Bit AVR"
#elif defined(__arm__)
#define BOARD_NAME  "ARM"
#else
#define BOARD_NAME  "Unknown"
#endif
#endif

/*! \brief Board specific GPIO initialization. */
#ifndef BOARD_GPIO_INIT
#define BOARD_GPIO_INIT()
#endif

/*! \brief Whether this hardware has at least half MByte of continuous RAM. */
#ifndef RADIO_HAS_LARGE_RAM
#define RADIO_HAS_LARGE_RAM         0
#endif

/*! \brief Whether a hardware codec is available. */
#ifndef RADIO_HAS_HARDWARE_CODEC
#define RADIO_HAS_HARDWARE_CODEC    0
#endif

/*! \brief Whether this hardware got a character mode display. */
#ifndef RADIO_HAS_CHAR_DISPLAY
#define RADIO_HAS_CHAR_DISPLAY      0
#endif

/*! \brief Whether an ATmega controlled display is available. */
#ifndef RADIO_HAS_MEGA_DISPLAY
#define RADIO_HAS_MEGA_DISPLAY      0
#endif

/*! \brief Whether push buttons are available. */
#ifndef RADIO_HAS_PUSHBUTTONS
#define RADIO_HAS_PUSHBUTTONS       0
#endif

/*! \brief Whether serial Flash for configuration data is available. */
#ifndef RADIO_HAS_SERIAL_FLASH
#define RADIO_HAS_SERIAL_FLASH      0
#endif

#endif
